Subject: RE: Draft charter for L2VPN - IPLS & ARP Mediation

From: Ali Sajassi <[email-masked]>
Date: Wed, 14 May 2003 17:26:23 -0700

Why am I not surprised to hear from you first :-)
My questions was directed to the providers and I'd like to know which 
providers are considering to offer IPLS and get some feedback from them:

How many are considering to offer IPLS in lieu of VPLS ? and
How many are considering to offer both IPLS and VPLS ?

-Ali

At 05:29 PM 5/14/2003 -0400, Himanshu Shah wrote:
>That is like asking for every draft that
>Cisco employee has contributed whether Cisco
>is planning to implement it?
>
>IETF operates on individual contributions
>and opinions.
>
>/himanshu
>
> > -----Original Message-----
> > From: Ali Sajassi [mailto:[email-masked]]
> > Sent: Wednesday, May 14, 2003 4:56 PM
> > To: [email-masked]; [email-masked]
> > Subject: RE: Draft charter for L2VPN - IPLS & ARP Mediation
> >
> >
> >
> > >I'd like to see the work in this area - IPLS & ARP Mediation
> > -progressed and
> > >documented in a published RFC. They are not the most widely
> > deployed cases,
> > >but they do exist and  have real network applications.
> >
> > Steven,
> >
> > Does Bell South plan to offer VPLS ? If it plans to offer it,
> > then there
> > should be no need for IPLS because VPLS can be considered as
> > a super-set
> > since it covers both switches and routers as CEs and it
> > supports both IP
> > and non-IP traffic. Also inter-operability between IPLS and
> > VPLS is another
> > thing to consider if you plan to offer both !! However, if
> > Bell South plans
> > to offer IPLS in lieu of VPLS and assumes that all the
> > end-points for a
> > transparent LAN service are IPs, then that's a different story.
> >
> > -Ali
> >
> >
> >
> >
> >

---

From: Giles Heron <[email-masked]>
Date: 15 May 2003 10:57:57 +0000

OK, I'll bite ;-)

personally I'd rather deploy IPLS than VPLS given the choice, though I
accept that some of our customers may demand VPLS.

IPLS meets the requirement for which I originally envisaged VPLS being
useful (i.e. interconnecting IP routers or hosts) and does this more
efficiently than VPLS.  I would be reluctant to use VPLS to interconnect
switches, as that exposes the SP to the customer network's MAC
addresses, but I can see why this might be attractive to customers in
the metropolitan area at least.

However in terms of what we'll offer it depends to an extent on what
vendors provide.  I'm not aware of anyone shipping IPLS code yet...

Giles

-- 
=================================================================
Giles Heron    Principal Network Architect    PacketExchange Ltd.
ph: +44 7880 506185              "if you build it they will yawn"
=================================================================

---

From: Ali Sajassi <[email-masked]>
Date: Thu, 15 May 2003 10:55:20 -0700

>the metropolitan area at least.

Both IPLS and VPLS learn customer MAC addresses. IPLS does it in control 
plane and VPLS does it in data plane. Also in VPLS, number of customer MAC 
addresses can be limited per VPLS instance - this is one of the main 
requirements.

-Ali

---

From: Giles Heron <[email-masked]>
Date: 15 May 2003 20:50:14 +0000

> addresses can be limited per VPLS instance - this is one of the main 

I think I've got a fair idea of how IPLS and VPLS work thanks ;-)

So yes, IPLS learns MAC addresses, but it only ever learns the MAC
addresses of the CEs.

If VPLS is used to interconnect switches then it will learn MAC
addresses behind the CEs.  Sure, you can limit the number of MACs - and
if I deploy VPLS then I will do so - but that brings other issues (e.g.
if that limit is hit then how do we automatically inform the customer
that this is the cause of the partial connectivity on the VPN).

Giles

---

From: Ali Sajassi <[email-masked]>
Date: Thu, 15 May 2003 16:44:01 -0700

>that this is the cause of the partial connectivity on the VPN).

Yes, this is a good question which has also been asked by some providers 
and there are several options - one of which to notify the customer through 
UNI (ELMI) or some other means (when getting close to the limit). One can 
ask the same question for IPLS since many end-points can sit behind an AC 
and whether there should be a limit on number of of IP end-points since 
each end-point consumes resources in the PE.

-Ali